---
title: llarp::win32::DLL

---

# llarp::win32::DLL





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[DLL](Classes/classllarp_1_1win32_1_1DLL.md#function-dll)**(std::string dll) |
| virtual | **[~DLL](Classes/classllarp_1_1win32_1_1DLL.md#function-~dll)**() |

## Protected Functions

|                | Name           |
| -------------- | -------------- |
| template <typename Func_t \> <br>void | **[init](Classes/classllarp_1_1win32_1_1DLL.md#function-init)**(std::string name, Func_t & func)<br>given a name of a function pointer find it and put it into `func` throws if the function does not exist in the [DLL](Classes/classllarp_1_1win32_1_1DLL.md) we openned.  |

## Public Functions Documentation

### function DLL

```cpp
DLL(
    std::string dll
)
```


### function ~DLL

```cpp
virtual ~DLL()
```


## Protected Functions Documentation

### function init

```cpp
template <typename Func_t >
inline void init(
    std::string name,
    Func_t & func
)
```

given a name of a function pointer find it and put it into `func` throws if the function does not exist in the [DLL](Classes/classllarp_1_1win32_1_1DLL.md) we openned. 

-------------------------------

Updated on 2022-09-01 at 18:16:54 +0000